package org.springblade.estate.feign;

import org.springblade.core.tool.api.R;
import org.springblade.estate.entity.AuthorizeRecords;
import org.springblade.estate.vo.AuthorizeRecordsVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class AuthorizeRecordsClientFallback implements IAuthorizeRecordsClient {
            /**
         * 详情
         */
        @Override
        public AuthorizeRecordsVO detail(AuthorizeRecords authorizeRecords) {
            return null;
        }

        /**
         * 查询
         */
        @Override
        public List<AuthorizeRecordsVO> list(AuthorizeRecords authorizeRecords) {
            return null;
        }



        /**
         * 新增
         */
        @Override
        public boolean save( AuthorizeRecords authorizeRecords) {
            return false;
        }

        /**
         * 修改
         */
        @Override
        public boolean update( AuthorizeRecords authorizeRecords) {
            return false;
        }

        /**
         * 新增或修改
         */
        @Override
        public boolean submit( AuthorizeRecords authorizeRecords) {
            return false;
        }


        /**
         * 删除
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

	@Override
	public R generateAuthRecord(String serialNum, String userId, String userName, String userType, String authReqNo, String authCmd, String reqData, Integer smartDeviceType, String respMsg, String tenantId) {
		return null;
	}

	@Override
	public List<AuthorizeRecords> getAuthRecord(String serialNum, String authReqNo, String authCmd) {
		return null;
	}

}
